#ifndef SCENENODE_H
#define SCENENODE_H

class SceneTree;
class Light;
class GeometryNode;

class SceneNode
{
public:
    SceneNode* m_parent;
    SceneTree* m_scene;
    virtual void update() = 0;
    virtual Light* getLight() {return nullptr;}
    virtual GeometryNode* getGeometryNode() {return nullptr;}
    virtual void setSceneTree(SceneTree* tree){m_scene = tree;}
};

#endif // SCENENODE_H
